For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETDownload File
      • GETDownload a Thumbnail Image
      • PUTUpdate File
      • DELDelete file
LogoLogo
SupportContact salesStart free trial
API ReferenceFile

Download File

GET
https://api.projectmanager.com/api/data/files/:documentId/download
GET
/api/data/files/:documentId/download
$curl https://api.projectmanager.com/api/data/files/documentId/download \
> -H "Authorization: Bearer <token>"
200Retrieved
1"string"
Downloads the contents of a file that was previously uploaded to ProjectManager.com. ProjectManager allows you to store Files connected to other elements of your Workspace such as a Project, a Task, or Home. Files are maintained separately based on the location where the file was stored. When you upload a File, please allow a few moments for the File to be processed and verified. ProjectManager may reject File uploads that contain problems such as malware. Once a File has completed the upload the process, you may retrieve it using the DownloadFile API. If successful, this API returns the file contents as an octet-stream (raw bytes). If an error occurs, you will receive a JSON result with error information.
Was this page helpful?
Previous

Download a Thumbnail Image

Next
Built with

Downloads the contents of a file that was previously uploaded to ProjectManager.com.

ProjectManager allows you to store Files connected to other elements of your Workspace such as a Project, a Task, or Home. Files are maintained separately based on the location where the file was stored.

When you upload a File, please allow a few moments for the File to be processed and verified. ProjectManager may reject File uploads that contain problems such as malware. Once a File has completed the upload the process, you may retrieve it using the DownloadFile API.

If successful, this API returns the file contents as an octet-stream (raw bytes). If an error occurs, you will receive a JSON result with error information.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

documentIdstringRequiredformat: "uuid"
The unique identifier of the document to download

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Query parameters

typestringOptional

If you specify a type of html, processes the file using text encoding, otherwise binary

Response

Success